# Form implementation generated from reading ui file 'src/eric7/MicroPython/WifiDialogs/WifiConnectionDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_WifiConnectionDialog(object):
    def setupUi(self, WifiConnectionDialog):
        WifiConnectionDialog.setObjectName("WifiConnectionDialog")
        WifiConnectionDialog.resize(400, 202)
        WifiConnectionDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(WifiConnectionDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=WifiConnectionDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.ssidEdit = QtWidgets.QLineEdit(parent=WifiConnectionDialog)
        self.ssidEdit.setClearButtonEnabled(True)
        self.ssidEdit.setObjectName("ssidEdit")
        self.gridLayout.addWidget(self.ssidEdit, 0, 1, 1, 3)
        self.label_2 = QtWidgets.QLabel(parent=WifiConnectionDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.passwordEdit = QtWidgets.QLineEdit(parent=WifiConnectionDialog)
        self.passwordEdit.setEchoMode(QtWidgets.QLineEdit.EchoMode.Password)
        self.passwordEdit.setClearButtonEnabled(True)
        self.passwordEdit.setObjectName("passwordEdit")
        self.gridLayout.addWidget(self.passwordEdit, 1, 1, 1, 2)
        self.showPasswordButton = QtWidgets.QToolButton(parent=WifiConnectionDialog)
        self.showPasswordButton.setCheckable(True)
        self.showPasswordButton.setObjectName("showPasswordButton")
        self.gridLayout.addWidget(self.showPasswordButton, 1, 3, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=WifiConnectionDialog)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 2, 0, 1, 1)
        self.hostnameEdit = EricHostnameInputWidget(parent=WifiConnectionDialog)
        self.hostnameEdit.setObjectName("hostnameEdit")
        self.gridLayout.addWidget(self.hostnameEdit, 2, 1, 1, 3)
        self.countryLabel = QtWidgets.QLabel(parent=WifiConnectionDialog)
        self.countryLabel.setObjectName("countryLabel")
        self.gridLayout.addWidget(self.countryLabel, 3, 0, 1, 1)
        self.countryEdit = QtWidgets.QLineEdit(parent=WifiConnectionDialog)
        self.countryEdit.setInputMask(">AA;_")
        self.countryEdit.setMaxLength(2)
        self.countryEdit.setClearButtonEnabled(True)
        self.countryEdit.setObjectName("countryEdit")
        self.gridLayout.addWidget(self.countryEdit, 3, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(222, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout.addItem(spacerItem, 3, 2, 1, 2)
        self.rememberCheckBox = QtWidgets.QCheckBox(parent=WifiConnectionDialog)
        self.rememberCheckBox.setObjectName("rememberCheckBox")
        self.gridLayout.addWidget(self.rememberCheckBox, 4, 0, 1, 4)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=WifiConnectionDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 5, 0, 1, 4)

        self.retranslateUi(WifiConnectionDialog)
        self.buttonBox.accepted.connect(WifiConnectionDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(WifiConnectionDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(WifiConnectionDialog)
        WifiConnectionDialog.setTabOrder(self.ssidEdit, self.passwordEdit)
        WifiConnectionDialog.setTabOrder(self.passwordEdit, self.showPasswordButton)
        WifiConnectionDialog.setTabOrder(self.showPasswordButton, self.hostnameEdit)
        WifiConnectionDialog.setTabOrder(self.hostnameEdit, self.countryEdit)
        WifiConnectionDialog.setTabOrder(self.countryEdit, self.rememberCheckBox)

    def retranslateUi(self, WifiConnectionDialog):
        _translate = QtCore.QCoreApplication.translate
        WifiConnectionDialog.setWindowTitle(_translate("WifiConnectionDialog", "WiFi Connection Parameters"))
        self.label.setText(_translate("WifiConnectionDialog", "Name:"))
        self.ssidEdit.setToolTip(_translate("WifiConnectionDialog", "Enter the network name (SSID) to connect to"))
        self.label_2.setText(_translate("WifiConnectionDialog", "Password:"))
        self.passwordEdit.setToolTip(_translate("WifiConnectionDialog", "Enter the network password"))
        self.showPasswordButton.setToolTip(_translate("WifiConnectionDialog", "Press to show the password"))
        self.label_3.setText(_translate("WifiConnectionDialog", "Hostname:"))
        self.hostnameEdit.setToolTip(_translate("WifiConnectionDialog", "Enter the host name for the device (leave empty for MicroPython &lt; 1.20)."))
        self.countryLabel.setText(_translate("WifiConnectionDialog", "Country:"))
        self.countryEdit.setToolTip(_translate("WifiConnectionDialog", "Enter the country code for the WiFi interface"))
        self.rememberCheckBox.setToolTip(_translate("WifiConnectionDialog", "Select to remember the entered connection parameters"))
        self.rememberCheckBox.setText(_translate("WifiConnectionDialog", "Remember Parameters"))
from eric7.EricNetwork.EricHostnameInputWidget import EricHostnameInputWidget
